Subject: Re: linux-next: manual merge of the sound tree

From: Takashi Iwai <[email-masked]>
Date: Mon, 01 Sep 2008 07:53:31 +0200

At Sun, 31 Aug 2008 21:36:07 -0700 (PDT),
David Miller wrote:
> 
> From: Stephen Rothwell <[email-masked]>
> Date: Mon, 1 Sep 2008 14:20:30 +1000
> 
> > Today's linux-next merge of the sound tree got a conflict in
> > sound/core/memalloc.c between commit
> > 759ee81be6d87c150ea2b300c221b4fec8b5f646 ("alsa: Remove special SBUS
> > dma support code.") from the sparc tree and commit
> > d3acb92557b99feb051ac173d119d06900c364f5 ("ALSA: Kill snd_assert()
> > in sound/core/*") from the sound tree.
> > 
> > The former removes code modified by the latter.  I just removed the
> > code.  I will carry the fixup.
> 
> Thanks Stephen.
> 
> Takashi-san, FYI, in the Sparc tree we have removed all SBUS specific
> BUS probing and device code, all drivers are now generic and use plain
> linux/dma-mapping.h interfaces.
> 
> So the sound layer SBUS code was superfluous and unused, so we
> deleted it.

Thanks David, that's a good clean up (but a bad timing for me ;-)

Where can I find this change?  I now looked at
  git://git.kernel.org/pub/scm/linux/kernel/git/davem/sparc-2.6.git
but it has no such a commit

I can either remove the affecting chunk in my patch, or merge your
patch first to my tree and rebase.

Takashi